﻿using Hotline.Share.Dtos.Settings;

namespace Hotline.Settings.TimeLimitDomain.ExpireTimeSupplier;
public interface IExpireTimeSupplier
{
    /// <summary>
    /// 计算期满时间
    /// </summary>
    /// <param name="beginTime"></param>
    /// <param name="timeConfig"></param>
    /// <returns></returns>
    //Task<TimeResult> CalcEndTimeAsync(DateTime beginTime, TimeConfig timeConfig);

    /// <summary>
    /// 计算期满时间（新）
    /// </summary>
    /// <param name="beginTime"></param>
    /// <param name="startTime"></param>
    /// <param name="timeConfig"></param>
    /// <returns></returns>
    Task<TimeResult> CalcEndTimeNewAsync(DateTime beginTime, DateTime startTime, TimeConfig timeConfig);
}
